#property copyright "Copyright  2006-2009, Sergey Kravchuk. http://forextools.com.ua"
#property link      "http://forextools.com.ua"

#property indicator_separate_window
#property indicator_level1 0
#property indicator_buffers 1

extern int MAPeriodShort = 10;
extern int MAPeriodLong  = 20;
extern int MAMethod = MODE_LWMA;
extern int MAPrice = MODE_OPEN;

double Buffer1[];

int init() { SetIndexBuffer(0, Buffer1); }

int start()
{
  int i, k;
  ArrayInitialize(Buffer1, EMPTY_VALUE);

  for (i = Bars - 1; i >= 0 ; i--)
  {
    double MAShort = iMA(NULL, 0, MAPeriodShort, 0, MAMethod, MAPrice, i);  
    double MALong  = iMA(NULL, 0, MAPeriodLong , 0, MAMethod, MAPrice, i);  
    Buffer1[i] = MAShort - MALong;
  }
  SetIndexStyle(0, DRAW_HISTOGRAM, STYLE_SOLID, 2, DarkGreen);
}